<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="invalid" styleClass="gzl-alert gzl-alert-red" rendered="#{xuaTestInstanceDisplay.selectedTestInstance == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.NoTestInstanceFoundForTheGivenIDOrYouAreNotAllow']}"/>
            </s:div>
            <s:div id="globalDiv" rendered="#{xuaTestInstanceDisplay.selectedTestInstance != null}">
                <h1>#{messages['net.ihe.gazelle.atna.TestInstance']} ##{xuaTestInstanceDisplay.selectedTestInstance.id}</h1>
                <s:decorate template="/xuatesting/common/_tiDetails.xhtml">
                    <ui:param name="ti" value="#{xuaTestInstanceDisplay.selectedTestInstance}"/>
                    <ui:define name="footer">
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.audit.message.BackToList']}"
                                               action="#{xuaTestInstanceDisplay.backToListOfTestInstances()}"
                                               styleClass="gzl-btn"/>
                        </f:facet>
                    </ui:define>
                </s:decorate>
                <ui:include src="/xuatesting/common/_tiMessages.xhtml">
                    <ui:param name="requestContent" value="#{xuaTestInstanceDisplay.getSentMessageRaw()}"/>
                    <ui:param name="responseContent" value="#{xuaTestInstanceDisplay.getReceivedMessageRaw()}"/>
                    <ui:param name="responseHeaders" value="#{xuaTestInstanceDisplay.getReceivedHeaders()}"/>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
